Bug 1100278 - Rhq server does not start properly because of IllegalArgumentException
Summary: Rhq server does not start properly because of IllegalArgumentException
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 4.11
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ---
: RHQ 4.12
Assignee: John Sanda
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-22 12:24 UTC by Filip Brychta
Modified: 2014-12-15 11:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:29 UTC


Attachments (Terms of Use)
server.log (749.79 KB, text/x-log)
2014-05-22 12:24 UTC, Filip Brychta
no flags Details

Description Filip Brychta 2014-05-22 12:24:03 UTC
Created attachment 898370 [details]
server.log

Description of problem:
$Summary

Version-Release number of selected component (if applicable):
2f52d8d
4.12.0-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. ./rhqctl install
2. ./rhqctl start

Actual results:
Server is not started properly and following exception was thrown to server.log:

Caused by: java.lang.IllegalArgumentException: Value [] is not valid for property 'METRICS_CACHE_ACTIVATION_TIME'.

Expected results:
No errors

Additional info:
Full server.log attached

Comment 1 Heiko W. Rupp 2014-05-22 12:38:45 UTC
Looks like fallout from fabe6f71458edc2cb5baec031b40c260c613fdb6

Comment 2 John Sanda 2014-05-22 19:22:33 UTC
The IllegalArgumentException was caused by a new system setting I added, METRICS_CACHE_ACTIVATION_TIME, having a null value. It now defaults to a non-null value.

master commit hash: 5cbf4208dce

Comment 3 Filip Brychta 2014-05-23 07:17:14 UTC
Verified on:
Version :	
4.12.0-SNAPSHOT
Build Number :	
0f0c6e8

Comment 4 Heiko W. Rupp 2014-12-15 11:36:29 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.